Subject: Re: [core] I-D Action: draft-ietf-core-links-json-01.txt

From: Likepeng <[email-masked]>
Date: Fri, 8 Aug 2014 07:20:30 +0000

Hi Carsten,

In section 2.1 "examples", the original link is ct=40, 40 is an integer.
</sensors>;ct=40;title="Sensor Index",

But after conversion to JSON, it becomes "40", which is a string. 
{"href":"/sensors", "ct":"40","title":"Sensor Index"}

I use cbor.me to convert the JSON example to CBOR, it also becomes "text string"
      62                                # text(2)
         3430                           # "40"

I think it should be kept as integer for JSON and CBOR.

What do you think?

Thanks,
Kind Regards
Kepeng

> -----邮件原件-----
> 发件人: core [mailto:[email-masked]] 代表 Carsten Bormann
> 发送时间: 2013年12月3日 3:36
> 收件人: core ([email-masked])
> 主题: Re: [core] I-D Action: draft-ietf-core-links-json-01.txt
> 
> This is a resubmit to avoid expiration of the draft, with a reference update and
> a small editorial fix.
> (We said we were waiting for some more implementation experience before
> advancing this.)
> 
> Grüße, Carsten
> 
> > 	Title           : Representing CoRE Link Collections in JSON
> > 	Author(s)       : Carsten Bormann
> > 	Filename        : draft-ietf-core-links-json-01.txt
> > 	Pages           : 6
> > 	Date            : 2013-12-02
> >
> > Abstract:
> >   Web Linking (RFC5988) provides a way to represent links between Web
> >   resources as well as the relations expressed by them and attributes
> >   of such a link.  In constrained networks, a collection of Web links
> >   can be exchanged in the CoRE link format (RFC6690).  Outside of
> >   constrained environments, it may be useful to represent these
> >   collections of Web links in JSON format (RFC4627).
> >
> >   This specification defines a common format for representing Web links
> >   in JSON format.
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-core-links-json
> >
> > There's also a htmlized version available at:
> > http://tools.ietf.org/html/draft-ietf-core-links-json-01
> >
> > A diff from the previous version is available at:
> > http://www.ietf.org/rfcdiff?url2=draft-ietf-core-links-json-01
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core